/*some helping classes*/
.p10 {
  padding: 10px;
}
.py10 {
  padding-top: 10px;
  padding-bottom: 10px;
}

.m10 {
  margin: 0;
}

body {
  margin: 0;
  font-size: 1rem;
}
.flex-container {
  display: flex;
}
.text-center {
  text-align: center;
}
.container {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  min-height: 100vh;
  max-width: 1124px;
  margin: 0 auto;
}
header {
  display: flex;
  flex-direction: column;
}
.siteInfo {
  display: flex;
  height: 100px;
  flex-wrap: wrap;
  background: linear-gradient(to right, #d3d3d3, #e0e0e0);
}

.siteInfo__logo a {
  font-family: "Great Vibes", cursive;
  text-decoration: none;
  color: #6a0dad;
  font-size: 2em;
}
.siteInfo div {
  display: flex;
  justify-content: center;
  align-items: center;
}
.siteInfo__logo {
  flex: 1;
  flex-direction: column;
}

.siteInfo .siteInfo__socialIcons {
  flex: 4;
  justify-content: end;
}
.siteInfo__socialIcons img {
  width: 50px;
}
.siteInfo__socialIcons ul li {
  list-style: none;
  margin: 0 5px;
}
.siteInfo__socialIcons ul li i {
  color: #6a0dad;
  font-size: 3em;
}

.siteCaption {
  background-color: #969696;
  color: #fff;
}
.siteCaption h1 {
  font-size: 2em;
}

.section-post {
  display: flex;
}
.section-post__posts {
  flex: 3;
}
.section-post__sidebar {
  flex: 1;
  height: 400px;
  border: 1px solid grey;
  justify-content: center;
  align-items: center;
  margin: 30px 0 30px 30px;
  justify-content: flex-start;
  display: flex;
  flex-direction: column;
}

article.post {
  margin: 20px 0;
}
.post__title {
  margin-top: 0;
}
.post__publish {
  display: flex;
  justify-content: space-between;
  flex: 2;
  border-bottom: 1px solid grey;
  margin-bottom: 20px;
  padding-bottom: 10px;
}
.post__publish__right {
  flex: 3;
}
.post__publish div {
  flex: 1;
}
.post__content__image {
  flex: 2;
}
.post__content__image {
  flex: 2;
}
.post__content__desc {
  flex: 3;
}
.full-width {
  width: 100%;
}

.post__content {
  height: 283px;
}
.post__content__desc {
  flex: 3;
  height: 283px;
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  align-items: end;
}
.post__content__desc__text {
  max-height: 230px;
  overflow: hidden;
  margin: 0 20px;
}
.text-right {
  text-align: right;
}
.post__publish__date {
  text-align: right;
}
footer {
  background-color: #969696;
}

.post__content__desc__read-more a {
  border: 1px solid grey;
  color: #000;
  padding: 5px;
  text-decoration: none;
}
.post__content__desc__read-more a:hover {
  background: #6a0dad;
  color: #fff;
}
footer {
  flex-wrap: wrap;
}
footer nav ul {
  flex: 1;
}
footer nav a {
  color: #fff;
  text-decoration: none;
  font-size: 1.5em;
}
footer nav a:hover {
  color: #6a0dad;
}
footer nav li {
  list-style: none;
  padding: 5px 0;
}

/* design for post page */
.text-left {
  text-align: left;
}
#post-page .post__publish {
  align-items: center;
}
#post-page .post__content,
#post-page .post__content__desc,
#post-page .post__content__desc__text {
  height: auto;
  max-height: fit-content;
}
#post-page .post__content img {
  float: left;
  max-width: 300px;
  margin: 0 15px 15px;
}
#post-page .post__publish__share nav ul {
  justify-content: end;
}
#post-page .post__publish__share nav ul li {
  margin: 5px;
  font-size: 1.5em;
}
#post-page .post__publish__share nav ul li i {
  color: #6a0dad;
}
.post__publish__share nav ul {
  margin: 0;
}
.post__publish__share nav ul li {
  list-style: none;
}
.post__publish__share nav li a img {
  width: 50px;
}
